Subject: Command line length limited?!?
From: Joachim Herb <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 24 Jul 2001 13:57:00 +0200 (MEST)

Hello,

when I run the attached example by calling make I get the following error
message:

make[1]: Entering directory `/home/herb_jo/maketest'
make[2]: Entering directory `/home/herb_jo/maketest'
make[3]: Entering directory `/home/herb_jo/maketest'
make[4]: Entering directory `/home/herb_jo/maketest'
make[5]: Entering directory `/home/herb_jo/maketest'
make[5]: execvp: /bin/sh.exe: Resource temporarily unavailable
make[5]: *** [all] Error 127
make[5]: Leaving directory `/home/herb_jo/maketest'
make[4]: *** [all] Error 2
make[4]: Leaving directory `/home/herb_jo/maketest'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/home/herb_jo/maketest'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/herb_jo/maketest'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/herb_jo/maketest'
make: *** [all] Error 2

If I change the variable TARGETS in the file "Makefile" the "Resource
temporarily unavailable" error is sometimes replaced by 

make[5]: execvp: /bin/sh.exe: Invalid argument

Under a certain threshold no error occurs.

I think this could be an error in the implementation of execvp in cygwin. I
tried tracing the error and ended at a call to _go32_dpmi_simulate_int(0x21,
&r) in cygwin-1.3.2-1/newlib/libc/sys/go32/exec.c. I am not shure whats going
on here.

My version of make is:
GNU Make version 3.79.1, by Richard Stallman and Roland McGrath.
Built for i686-pc-cygwin
Copyright (C) 1988, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 2000
        Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.

Report bugs to <[email-masked]>.

My version of cygwin:
 >uname -a
CYGWIN_NT-4.0 MU0A2057 1.3.2(0.39/3/2) 2001-05-20 23:28 i686 unknown

The same Makefiles are working as expected with linux.

Thank you for your help

Bye,
Joachim

-- 
GMXler aufgepasst - jetzt viele 1&1 New WebHosting Pakete ohne
Setupfee + 1 Monat Grundgebuehrbefreiung!
http://puretec.de/index.html?ac=OM.PU.PU003K00717T0492a

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/